Subject: noise issues when recording sound on i.MX28

From: [email-masked] (Jörg Krause)
Date: Tue, 10 Jan 2017 17:17:34 +0100

Hi all,

On Wed, 2016-02-17 at 08:55 +0100, Lothar Wa?mann wrote:
> Hi,
> 
> On Tue, 16 Feb 2016 13:01:19 -0200 Fabio Estevam wrote:
> > On Thu, Feb 11, 2016 at 6:40 AM, Uwe Kleine-K?nig
> > <[email-masked]> wrote:
> > 
> > > root at hostname:/sys/kernel/debug/clk find -name saif?_sel
> > > ./ref_xtal/pll0/saif0_sel
> > > ./ref_xtal/pll0/saif1_sel
> > > 
> > > root at hostname:/sys/kernel/debug/clk cat
> > > ./ref_xtal/pll0/saif?_sel/clk_rate
> > > 480000000
> > > 480000000
> > 
> > Ok, what about the SAIF0 and SAIF1 sampling rates: are they always
> > the same?
> > 
> 
> Yes, of course. The driver wouldn't allow using both interfaces with
> different sample rates any way.

Are there any updates about this issue?

I am facing the same problem when using SAIF1 for capture and SAIF0 for
playback. SAIF1 uses SAIF0 as the master and I do set
MXS_DIGCTL_SAIF_CLKMUX_EXTMSTR0 when bringing up the board. However,
whenever I record with

$ arecord -D hw:0,1 -t wav -c 2 -r 48000 -f S16_LE -d 5 /tmp/out.wav

and playback afterwards:

$ aplay -D hw:0,0 /tmp/out.wav

I only get noise.

Note, that I am using the Audio Codec Board from Mikroelectronika, but
replaced the on-board 12.288MHz quarz with the MCLK line from SAIF0.

Best regards,
J?rg Krause